RUNALARM(1)

NAME

runalarm - enforce a time limit on execution of a process

SYNOPSYS

runalarm [ -h ]

runalarm [ -d ] [ -t timeout ] command [ args ]

DESCRIPTION

runalarm tries to execute a command and, if the subprocess does not exit before a timer expires, tries to terminate that subprocess. Otherwise, the exit status of the command is returned.

USAGE

-d

    Debug mode; send log messages to standard error as well as to the system log.

-t timeout

    Specifies the duration, in seconds, for runalarm to allow the command to run. The default is 1d duration (86400 seconds).

-h

    Prints some basic help.

BUGS

Sending SIGALRM to runalarm before the timer has expired will cause the subprocess to be killed.

SEE ALSO

runlock(1), runstat(1)

AUTHOR

runalarm was written by Jamie Wilkinson <jaq@google.com>, based on some Python code by Craig Silverstein

COPYRIGHT

This program is copyright (C) 2000-2010 Google, Inc.

It is licensed under the Apache License, Version 2.0